#include <iostream>
using namespace std;

int main()
{
    int n,k,tmp=-1,tmp2,b;
    cin>>n>>k;
    bool p=false; //pronadjen
    int karte[n];
    for(int i=0;i<n;i++)
    {
        cin>>karte[i];
        if(karte[i]==k && !p)
        {
            p=true;
            if(i==n-1)
            {
                tmp=karte[0];
            }
            else
            {
                cin>>karte[i+1];
                tmp=karte[i+1];
                i++;
            }

        }
    }
    cout<<tmp;

}